<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--
====================================================================

ObjectWeb Area Management Framework
Copyright (C) 2005 INRIA - Jacquard Team
Contact: architecture@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Philippe Merle.
Contributor(s): Nicolas Dolet.

====================================================================
$Id: jonas_areas.xml 11741 2007-10-05 13:03:51Z durieuxp $
====================================================================

For the configuration of the ObjectWeb Area Management Framework.

====================================================================
-->

<!DOCTYPE area
          PUBLIC "-//objectweb.org//DTD ObjectWeb Area Management 1.0//EN"
          "ow_area.dtd">

<area name="jonas_areas"
      description="ObjectWeb Thread Management"
      class="org.objectweb.area.lib.NoLockArea"
      limit="500">

  <area name="rmi"
        description="Java RMI"
        class="org.objectweb.area.lib.NoLockArea"
        limit="100">

    <alarm class="org.objectweb.area.jonas.LogAlarm"/>

    <java package="java.rmi."/>
    <java package="javax.rmi."/>
    <java package="sun.rmi."/>
    <java package="javax.management.remote.rmi."/>
    <java package="org.omg.stub.java.rmi."/>
  </area>

  <area name="jmx"
        description="Java JMX"
        class="org.objectweb.area.lib.NoLockArea"
        limit="100">
    <java package="javax.management.remote."/>
  </area>

  <area name="resource"
        description="Resource service (JCA)"
        class="org.objectweb.area.lib.NoLockArea"
        limit="100">
    <java package="org.ow2.jonas.resource.internal."/>
  </area>

  <area name="worker"
        description="JOnAS worker threads pool"
        class="org.objectweb.area.lib.NoLockArea"
        limit="100">
    <java package="org.ow2.jonas.workmanager.JWorkManager."/>
  </area>

  <area name="cleaner"
        description="work directory cleaner thread"
        class="org.objectweb.area.lib.NoLockArea"
        limit="10">
    <java package="org.ow2.jonas.lib.work.WorkCleaner."/>
  </area>

  <area name="logger"
        description="Logger"
        class="org.objectweb.area.lib.NoLockArea"
        limit="10">
    <java package="java.util.logging."/>
  </area>

  <area name="timer"
        description="Timer service"
        class="org.objectweb.area.lib.NoLockArea"
        limit="100">
    <java package="org.ow2.jonas.lib.timer."/>
    </area>

  <area name="webserver"
        description="Web server packages"
        class="org.objectweb.area.lib.NoLockArea"
        limit="100">
    <java package="org.ow2.jonas.web."/>
  </area>

  <area name="JMS-Joram"
        description="JMS and Joram packages"
        class="org.objectweb.area.lib.NoLockArea"
        limit="100">
    <java package="javax.jms."/>
    <java package="org.objectweb.joram."/>
    <java package="fr.dyade.aaa."/>

  </area>

  <area name="transaction"
        description="Transactions"
        class="org.objectweb.area.lib.NoLockArea"
        limit="100">
    <java package="org.objectweb.jotm."/>
    <java package="org.objectweb.transaction.jta."/>
  </area>


  <area name="mngt"
        description="JOnAS's management"
        class="org.objectweb.area.lib.NoLockArea"
        limit="100">
    <java package="org.ow2.jonas.discovery."/>
    <java package="mx4j."/>
  </area>

  <area name="DBConnection"
        description="Database connections"
        class="org.objectweb.area.lib.NoLockArea"
        limit="100">

    <area name="JavaDbConnection"
          description="DB connections for java packages"
          class="org.objectweb.area.lib.NoLockArea"
          limit="70">
      <java package="java.sql."/>
      <java package="javax.sql."/>
    </area>

    <area name="OWDbConnection"
          description="DB connections for objectweb packages"
          class="org.objectweb.area.lib.NoLockArea"
          limit="70">
      <java package="org.ow2.jonas.ee.jdbc."/>
      <java package="org.ow2.jonas.dbm."/>
    </area>

    <area name="HSQL"
          description="HSQL database embedded in JOnAS"
          class="org.objectweb.area.lib.NoLockArea"
          limit="50">
      <java package="org.hsqldb."/>
    </area>

  </area>

  <area name="EJB" description="EJB" limit="0"/>

</area>
